EDIT - feature request #8642

Add tree editor for rank, NamedArea and PresenceAbsence
11/01/2019 02:52 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal

Description

Related issues:
Related to EDIT - feature request #8655: Handle duplicates in term tree editor Duplicate
Copied to EDIT - bug #8660: Generic menu creation for Term trees Duplicate

Associated revisions

Revision 43fdbc98 - 11/01/2019 02:53 PM - Patrick Plitzner

fix #8642 Add tree editor for rank, NamedArea and PresenceAbsence

Revision 879048dd - 11/04/2019 03:33 PM - Patrick Plitzner

ref #8642 Change menu oder for tree editors

History

#1 - 11/01/2019 02:55 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|43fdbc98815ef71a54c68fe96a11eal89355accc.

#2 - 11/01/2019 02:55 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#3 - 11/04/2019 03:24 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Generally works. Menu order please like discussed with Feature and Named Area on top, separator, PresenceAbsence, Rank, separator, character
related menus.

There is one related issue: if you create a new tree, by default "allow duplicates” is false, which makes sense as duplicates only make sense in rare
use-cases. But currently it is possible to add duplicates, can we try to avoid this if the flag is set to "false". But ofcourse e.g. for structure trees where
the flag should be "true" (in additivity context) it should still be possible.

Best would be to allow editing the flag in details view.

#4 - 11/07/2019 10:24 AM - Patrick Plitzner

- Related to feature request #8655: Handle duplicates in term tree editor added

#5 - 11/07/2019 10:24 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 50 to 80

Order is fixed.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/43fdbc98815ef71a54c68fe96a11ea189355accc

Create new ticket for remaining issues -> #8655

#6 - 11/07/2019 03:51 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 80 to 100

Generic term tree menu creation moved to new ticket #8660. Also handling of not allowed duplicates #8655.

Close this ticket.

#7 - 11/07/2019 03:52 PM - Andreas Miiller

- Copied to bug #8660: Generic menu creation for Term trees added
